> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task

> Retrieve a task by its unique identifier



## OpenAPI

````yaml api-reference/openapi.json get /api/task/v1/{task_id}
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/task/v1/{task_id}:
    get:
      tags:
        - task
        - v1
      summary: Get task
      description: Retrieve a task by its unique identifier
      operationId: get-task-by-id
      parameters:
        - name: task_id
          in: path
          description: Task ID
          required: true
          schema:
            $ref: '#/components/schemas/WrappedUuidV4'
      responses:
        '200':
          description: Get task by id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskWithDetails'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WrappedUuidV4:
      type: string
      format: uuid
    TaskWithDetails:
      type: object
      required:
        - task
        - messages
      properties:
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
        messages_next_page_token:
          type:
            - string
            - 'null'
        status_message:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Message'
        task:
          $ref: '#/components/schemas/Task'
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string
    Message:
      type: object
      required:
        - id
        - task_id
        - reference_task_ids
        - role
        - metadata
        - parts
        - created_at
      properties:
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        id:
          $ref: '#/components/schemas/WrappedUuidV4'
        metadata:
          $ref: '#/components/schemas/Metadata'
        parts:
          type: array
          items:
            $ref: '#/components/schemas/MessagePart'
        reference_task_ids:
          type: array
          items:
            $ref: '#/components/schemas/WrappedUuidV4'
        role:
          $ref: '#/components/schemas/MessageRole'
        task_id:
          $ref: '#/components/schemas/WrappedUuidV4'
    Task:
      type: object
      required:
        - id
        - context_id
        - status
        - status_timestamp
        - metadata
        - created_at
        - updated_at
      properties:
        context_id:
          $ref: '#/components/schemas/WrappedUuidV4'
        created_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        id:
          $ref: '#/components/schemas/WrappedUuidV4'
        metadata:
          $ref: '#/components/schemas/Metadata'
        status:
          $ref: '#/components/schemas/TaskStatus'
        status_message_id:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/WrappedUuidV4'
        status_timestamp:
          $ref: '#/components/schemas/WrappedChronoDateTime'
        updated_at:
          $ref: '#/components/schemas/WrappedChronoDateTime'
    WrappedChronoDateTime:
      type: string
      format: date-time
    Metadata:
      type: object
      additionalProperties: {}
      propertyNames:
        type: string
    MessagePart:
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/TextPart'
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - text-part
    MessageRole:
      type: string
      enum:
        - user
        - agent
    TaskStatus:
      type: string
      enum:
        - submitted
        - working
        - input-required
        - completed
        - canceled
        - failed
        - rejected
        - auth-required
        - unknown
    TextPart:
      type: object
      required:
        - text
        - metadata
      properties:
        metadata:
          $ref: '#/components/schemas/Metadata'
        text:
          type: string

````